[Bug 20281] New: readline.so module is not built when running 'ninja lldb' on Linux

Bug ID 20281
Summary readline.so module is not built when running ‘ninja lldb’ on Linux
Product lldb
Version unspecified
Hardware PC
OS Linux
Status NEW
Severity normal
Priority P
Component All Bugs
Assignee lldb-dev@cs.uiuc.edu
Reporter tfiala@google.com
Classification Unclassified

This probably affects FreeBSD as well.

The readline.so Python Module (not libreadline system library) is needed on
Linux to avoid the crash issue with Python's stock readline module and libedit.
 It needs to be built and installed in the lldb lib dir any time liblldb.so (or
a static equivalent) is considered needed.

Currently, running 'ninja lldb' is not building the readline module.  This
surfaces the broken behavior of using the system Python readline module.

(Having the python readline.so, which links against libreadline.so on
non-MacOSX platforms, in a program which also uses libedit.so, causes havoc in
some libedit readline compatibility mode crossover with the real
libreadline.so).

Todd Fiala changed bug 20281

What | Removed | Added |

Comment # 4 on bug 20281 from Todd Fiala

Heh forgot that I filed this a while back.  I had since opened another bug on
this and fixed it.

*** This bug has been marked as a duplicate of bug 25038 ***